---

- name: check, if we have enough memory on the server
  assert:
    that:
      - ansible_memory_mb.real.total >= {{ workflow_server.required_memory }}

- name: Include OS-specific variables.
  include_vars:
    file: "{{ item }}"
  with_first_found:
    - "{{ ansible_distribution | lower }}.{{ ansible_lsb.codename | lower }}.yml"
    - "{{ ansible_distribution | lower }}.{{ ansible_lsb.major_release }}.yml"
    - "{{ ansible_distribution | lower }}.yml"
    - "{{ ansible_os_family | lower }}.yml"
    - "default.yml"

- include: variables.yml
  become: true
  tags:
    - preparations

- include: preparations.yml
  become: true
  tags:
    - preparations

- include: installation.yml
  become: true
  tags:
    - installation

- include: configure.yml
  become: true
  tags:
    - configure

- include: service.yml
  become: true
  tags:
    - service
    - molecule-notest
